query getCorpuses($projectPath: ID!) {
  project(fullPath: $projectPath) {
    id
    corpuses {
      nodes {
        id
        package {
          id
          name
          updatedAt
          packageFiles(last: 1) {
            nodes {
              id
              size
              downloadPath
            }
          }
          pipelines(last: 1) {
            nodes {
              id
              createdAt
              ref
            }
          }
        }
      }
    }
  }
  uploadState(projectPath: $projectPath) @client {
    isUploading
    progress
    cancelSource
    uploadedPackageId
  }
}
